Pad array to the specified length with a value

- « array_multisort

- array_pop »

- PHP Manual
- Array Functions
- Pad array to the specified length with a value

# array_pad

(PHP 4, PHP 5, PHP 7, PHP 8)

array_pad — Pad array to the specified length with a value

### Description

array_pad(array `$array`, int `$length`, mixed `$value`): array

array_pad() returns a copy of the `array` padded to size specified by `length` with value `value`. If `length` is positive then the array is padded on the right, if it's negative then on the left. If the absolute value of `length` is less than or equal to the length of the `array` then no padding takes place. It is possible to add at most 1048576 elements at a time.

### Parameters

`array`

  Initial array of values to pad.

`length`

  New size of the array.

`value`

  Value to pad if `array` is less than `length`.

### Return Values

Returns a copy of the `array` padded to size specified by `length` with value `value`. If `length` is positive then the array is padded on the right, if it's negative then on the left. If the absolute value of `length` is less than or equal to the length of the `array` then no padding takes place.

### Examples

Example #1 array_pad() example

    <?php$input = array(12, 10, 9);$result = array_pad($input, 5, 0);// result is array(12, 10, 9, 0, 0)$result = array_pad($input, -7, -1);// result is array(-1, -1, -1, -1, 12, 10, 9)$result = array_pad($input, 2, "noop");// not padded?>

### See Also

- array_fill() - Fill an array with values
- range() - Create an array containing a range of elements